XYMONCFG(1)

NAME
xymoncfg - output the full hosts.cfg file

SYNOPSIS
xymoncfg [--web] [--net] [filename]

DESCRIPTION
xymoncfg(1) dumps the full hosts.cfg file to stdout. It follows "include" tags in the hosts.cfg files, and prints the full contents as seen by the xymongen(1) and xymonnet(1) utilities.

If no filename is given, xymoncfg displays the file pointed to by the HOSTSCFG environment variable.

OPTIONS

--web
    Show the hosts.cfg file following include statements as a Xymon web-server would.

--net
    Show the hosts.cfg file following include statements as done when running xymonnet.

-s  Output only the lines that look like environment variable definitions, in a format suitable for use with Bourne-style shells (e.g. bash, ksh). You will probably not use this with the default hosts.cfg input file, but e.g. xymonserver.cfg. To define all the variables in xymonserver.cfg inside your shell script, you can use
       eval `xymoncfg -s /etc/xymon/xymonserver.cfg`

-c  Similar to "-s", but for C-shell.

ENVIRONMENT VARIABLES

HOSTSCFG
    Filename for the hosts.cfg(5) file.

SEE ALSO
hosts.cfg(5), xymonserver.cfg(5)